Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.signers
Class DSADigestSigner

    java.lang.Object
      org.bouncycastle.crypto.signers.DSADigestSigner

All Implemented Interfaces:
  Signer

    public class DSADigestSigner

extends java.lang.Object
implements Signer

Constructor Summary
`DSADigestSigner(DSA signer, Digest digest)`

Method Summary
`byte[]` `generateSignature()` Generate a signature for the message we've been loaded with using the key we were initialised with.
`void` `init(boolean forSigning, CipherParameters parameters)` Initialise the signer for signing or verification.
`void` `reset()` reset the internal state
`void` `update(byte input)` update the internal digest with the byte b
`void` `update(byte[] input, int inOff, int length)` update the internal digest with the byte array in
`boolean` `verifySignature(byte[] signature)` return true if the internal state represents the signature described in the passed in array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSADigestSigner

    public DSADigestSigner(DSA signer,
                           Digest digest)

Method Detail

### init

    public void init(boolean forSigning,
                     CipherParameters parameters)

  Description copied from interface: `Signer`
  Initialise the signer for signing or verification.

  Specified by:
    `init` in interface `Signer`
  Parameters:
    `forSigning` - true if for signing, false otherwise
    `parameters` - necessary parameters.

### update

    public void update(byte input)

  update the internal digest with the byte b

  Specified by:
    `update` in interface `Signer`

### update

    public void update(byte[] input,
                       int inOff,
                       int length)

  update the internal digest with the byte array in

  Specified by:
    `update` in interface `Signer`

### generateSignature

    public byte[] generateSignature()

  Generate a signature for the message we've been loaded with using the key we were initialised with.

  Specified by:
    `generateSignature` in interface `Signer`

### verifySignature

    public boolean verifySignature(byte[] signature)

  Description copied from interface: `Signer`
  return true if the internal state represents the signature described in the passed in array.

  Specified by:
    `verifySignature` in interface `Signer`

### reset

    public void reset()

  Description copied from interface: `Signer`
  reset the internal state

  Specified by:
    `reset` in interface `Signer`

Bouncy Castle Cryptography Library 1.45